Summary: Simple chatprogram using ICMP as protocol 
Name: icmpchat
Version: 0.6
Release: 2
License: BSD (original)
Group: Applications/Internet
URL: http://icmpchat.sourceforge.net/
Source0: %{name}-%{version}.tar.gz
Requires: ncurses
BuildRequires: ncurses-devel, perl
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
icmpchat is a small and simple chat program that exchanges its
data by using the data field of ICMP packets. The data is
encrypted using the AES (rijndael) in 256 bit cfb mode.

%prep
%setup -q

%build
perl -pi -e "s,-O2,$RPM_OPT_FLAGS,g" Makefile
make

%install
rm -rf %{buildroot}
install -m755 -D %{name} %{buildroot}%{_bindir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc Changes License Problems Readme Todo
%{_bindir}/%{name}

%changelog

* Fri Apr 11 2003 Olliver Wichmann <olliver.wichmann@gmx.net>
- Fixed invalid URL (stupid typo)
- Split requirements for building and running it
- added perl as build requirement (we need it to patch the Makefile)

* Tue Apr 08 2003 Olliver Wichmann <olliver.wichmann@gmx.net>
- Initial build
